# streambuf File Reference

`#include <bits/c++config.h>`
`#include <iosfwd>`
`#include <bits/localefwd.h>`
`#include <bits/ios_base.h>`
`#include <bits/streambuf.tcc>`

Include dependency graph for streambuf:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | std

## Detailed Description

This is a Standard C++ Library header. You should `#include` this header in your programs, rather than any of the "st[dl]_*.h" implementation files.

Definition in file streambuf.